Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FrameComplexity Class Reference

`#include <rate_control.h>`

List of all members.

## Public Member Functions

- FrameComplexity ()
    Default constructor.
- int IComplexity ()
    Return the complexity of I frame.
- int L1Complexity ()
    Return the complexity of L1 frame.
- int L2Complexity ()
    Return the complexity of L2 frame.
- void SetIComplexity (int cpx)
    Set the complexity of I frame.
- void SetL1Complexity (int cpx)
    Set the complexity of L1 frame.
- void SetL2Complexity (int cpx)
    Set the complexity of L2 frame.

## Private Attributes

- int m_XI
    Complexity of I frame.
- int m_XL1
    Complexity of L1 frame.
- int m_XL2
    Complexity of L2 frame.

## Constructor & Destructor Documentation

dirac::FrameComplexity::FrameComplexity | ( |  | ) |

## Member Function Documentation

int dirac::FrameComplexity::IComplexity | ( |  | ) | `[inline]`

References m_XI.

int dirac::FrameComplexity::L1Complexity | ( |  | ) | `[inline]`

References m_XL1.

int dirac::FrameComplexity::L2Complexity | ( |  | ) | `[inline]`

References m_XL2.

void dirac::FrameComplexity::SetIComplexity | ( | int | cpx | ) | `[inline]`

References m_XI.

void dirac::FrameComplexity::SetL1Complexity | ( | int | cpx | ) | `[inline]`

References m_XL1.

void dirac::FrameComplexity::SetL2Complexity | ( | int | cpx | ) | `[inline]`

References m_XL2.

## Member Data Documentation

int dirac::FrameComplexity::m_XI`[private]`

Referenced by IComplexity(), and SetIComplexity().

int dirac::FrameComplexity::m_XL1`[private]`

Referenced by L1Complexity(), and SetL1Complexity().

int dirac::FrameComplexity::m_XL2`[private]`

Referenced by L2Complexity(), and SetL2Complexity().

The documentation for this class was generated from the following file:

- rate_control.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.